#
#   The Configuration File For
#
#     Extended MikMod 2.oOo  [version 1.98a, release 1]
#
# All variables and variable settings are case-insensitive and can
# be placed in any order.  If any variables are completely excluded
# or commented out, their defaults are assumed.
#
# Any command-line options will override their counterpart config-
# file settings.
#
# For extensive details concerning the individual options, see section 4
# of XMM.DOC.
#----------------------------------------------------------------------------


##########################
###  Replay and Sound  ###
##########################

# volume ranges from 0 to 100
volume         = 60
song_looping   = Enabled
panning        = Enabled

# channel limit ranges from 0 to 64 (values above 32 are truncated on GUS)
channel_limit  = 32

# soundcard types supported:
#   Autodetect, Ultrasound, Soundblaster, SoundScape
soundcard      = Autodetect

# stereo_mixing can be enabled, disabled, or reversed.
stereo_output  = Enabled

# the following are ignored on GUS cards
mixing_freq    = 44100
16bit_output   = Enabled

# the DMA buffersize for SB mixing: Large or Small.
#  only slower machines (33Mhz or slower) should need a large DMA.
dma_buffersize = Small


################################
###  File Management & Init  ###
################################

# song directory to search on start-up if none others specified
#  specify: no_search, current, or a legal pathname.
song_dir        = no_search

# default songmask to when none is specified
song_mask       = *.*

# disable the 15-instrument module loader if you have problems
# with XMM finding binaries, documents, etc. as module type M15.
load_m15 = Enabled


##################################
###  Emulation Shell Settings  ###
##################################

# Set default emulation shell to run at start-up
# supported are:  XMM, Mikmod, DMP, XPlay, or disabled.
emu_shell     = Disabled

# enable skip_managers to skip the module manager when
# emu_shell has been given a definite setting.
skip_managers = Disabled

# disable confirmation on exit.  One ESCAPE will drop
# to DOS immidiately
confirm_exit  = Enabled

# height in rows of the DMP emulation shell:  25 or 50.
dmp_height    = 50


################################
###  Compatability Settings  ###
################################

# windows:  enable this for running XMM under Windows 3 and Win95.
windows = Disabled

# Three levels of compatability are supported (set equal to 1, 2, or 3).
vga_compatability = Disabled
